# List Statements

`GET` `/v1/statement/list`

Query available account statements (daily or monthly). Returns a list of statement
dates and file keys that can be used with the download endpoint.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `statement_type` | integer | No | Statement type: `1` = daily (default), `2` = monthly. |
| `page` | integer | No | Page number for pagination. |
| `page_size` | integer | No | Number of results per page. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/statement/list' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | Daily holding history records |
| `└ dt` | integer | No | Date. |
| `└ file_key` | string | No | File key — pass to Get Statement Download URL to obtain a download link. |

### Response JSON Example

```json
[
  {
    "date": "20260327",
    "file_key": "/statement_data/data/lb/1/20260327/10000104.json"
  },
  {
    "date": "20260324",
    "file_key": "/statement_data/data/lb/1/20260324/10000104.json"
  },
  {
    "date": "20260323",
    "file_key": "/statement_data/data/lb/1/20260323/10000104.json"
  }
]
```
